// Variables
@import 'variables';

.editor {

    &__content {
        overflow-wrap: break-word;
        word-wrap: break-word;
        word-break: break-word;

        .ProseMirror {
            padding: 10px;
            margin-bottom: 8px;
            box-shadow: 0 0 1.2pt 0.6pt #a19f9f;
            margin-left: 1px;
            margin-right: 1px;
        }

        .ProseMirror:focus {
            outline: none;
        }

        * {
            caret-color: currentColor;
        }

        pre {
            padding: 0.7rem 1rem;
            border-radius: 5px;
            background: $black;
            color: $white;
            font-size: 0.8rem;
            overflow-x: auto;

            code {
                display: block;
            }
        }

        p code {
            padding: 0.2rem 0.4rem;
            border-radius: 5px;
            font-size: 0.8rem;
            font-weight: bold;
            background: rgba($black, 0.1);
            color: rgba($black, 0.8);
        }

        ul,
        ol {
            padding-left: 1rem;
        }

        li > p,
        li > ol,
        li > ul {
            margin: 0;
        }

        a {
            color: inherit;
        }

        blockquote {
            border-left: 3px solid rgba($black, 0.1);
            color: rgba($black, 0.8);
            padding-left: 0.8rem;
            font-style: italic;

            p {
                margin: 0;
            }
        }

        img {
            max-width: 100%;
            border-radius: 3px;
        }

        table {
            border-collapse: collapse;
            table-layout: fixed;
            width: 100%;
            margin: 0;
            overflow: hidden;

            td, th {
                min-width: 1em;
                border: 2px solid $grey;
                padding: 3px 5px;
                vertical-align: top;
                box-sizing: border-box;
                position: relative;
                > * {
                    margin-bottom: 0;
                }
            }

            th {
                font-weight: bold;
                text-align: left;
            }

            .selectedCell:after {
                z-index: 2;
                position: absolute;
                content: "";
                left: 0; right: 0; top: 0; bottom: 0;
                background: rgba(200, 200, 255, 0.4);
                pointer-events: none;
            }

            .column-resize-handle {
                position: absolute;
                right: -2px; top: 0; bottom: 0;
                width: 4px;
                z-index: 20;
                background-color: #adf;
                pointer-events: none;
            }
        }

        .tableWrapper {
            margin: 1em 0;
            overflow-x: auto;
        }

        .resize-cursor {
            cursor: ew-resize;
            cursor: col-resize;
        }

    }

    &__content.error--state {
        .ProseMirror {
            box-shadow: 0 0 1.2pt 1.5pt var(--v-error-base) !important;
            margin-left: 2px !important;
            margin-right: 2px !important;
        }
    }

    .error-messages {
        margin-bottom: 8px;
        padding: 0 12px;
    }
}
